Ubuntu

BUG: unable to handle kernel paging request at c00fdd20

Reported by major misunderstanding on 2012-04-11
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned

Bug Description

=== RELEASE NOTES ===
Fujitsu Siemens Amilo M 7400 and Maxdata 7000DX wireless RF kill handling triggers a kernel panic preventing wireless from operating correctly. This may be worked around by editing your kernel command line and adding "noexec=off". (Bug:979253)
===

Original bug report:
I used to be able to turn on my Intel wireless adaptor by typing sudo modprobe fsam7400 radio=1 into a terminal, but since upgrading my operating system to Ubuntu 12.04 this no longer works.

If you could send me a new code, preferably one that could turn wireless on permanantly, I would be very grateful.

Release Notes:
The fsam7400 driver directly invokes BIOS code to turn on/off the RF switch in this platform. However, the memory pages where this BIOS code is mapped is marked as non-executable and this is what causes the issue.

WORK AROUND:
As a temporary workaround, it is possible to boot the kernel with 'noexec=off' parameters. Details on how to modify kernel parameters can be obtained in section "Temporarily Add a Kernel Boot Parameter for Testing" in https://wiki.ubuntu.com/Kernel/KernelBootParameters.

ProblemType: KernelOops
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14
Uname: Linux 3.2.0-23-generic-pae i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
Annotation: Your system might become unstable now and might need to be restarted.
ApportVersion: 2.0.1-0ubuntu1
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: Slmodemd 856 F.... slmodemd
                      me 1415 F.... pulseaudio
 /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd
 /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45'
   Mixer name : 'Realtek ALC861'
   Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700'
   Controls : 9
   Simple ctrls : 6
Date: Wed Apr 11 20:14:47 2012
Failure: oops
HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: FUJITSU SIEMENS AMILO Pro Edition V3505
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions: kerneloops-daemon 0.12+git20090217-1ubuntu18
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Title: BUG: unable to handle kernel paging request at c00fdd20
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/24/2006
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: R01-A0V
dmi.board.name: AMILO Pro Edition V3505
dmi.board.vendor: FUJITSU SIEMENS
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: 430A31006E2211DB8D62CAC89736B55E
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU SIEMENS
dmi.chassis.version: A2040
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrR01-A0V:bd10/24/2006:svnFUJITSUSIEMENS:pnAMILOProEditionV3505:pvr20:rvnFUJITSUSIEMENS:rnAMILOProEditionV3505:rvrNotApplicable:cvnFUJITSUSIEMENS:ct10:cvrA2040:
dmi.product.name: AMILO Pro Edition V3505
dmi.product.version: 20
dmi.sys.vendor: FUJITSU SIEMENS

Changed in linux (Ubuntu):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2012-04-11
Changed in linux (Ubuntu):
status: New → Confirmed
Luis Henriques (henrix) wrote :

A workaround you can try for the moment is to add 'noexec=off' (without the quotes) to your kernel. You can test it by editing your boot parameters directly on grub while booting (see the "Temporarily Add a Kernel Boot Parameter for Testing" section in https://wiki.ubuntu.com/Kernel/KernelBootParameters).

Please let me know if this workaround works for you.

Download full text (3.8 KiB)

Yes! the temporary noexec=off works, now I shall attempt to add it permanently to the kernel boot parameter, according to the instructions that you pointed me to. Thank you very much for your kind help!

----- Original Message -----
From: Luis Henriques
Sent: 04/12/12 02:33 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 A workaround you can try for the moment is to add 'noexec=off' (without the quotes) to your kernel. You can test it by editing your boot parameters directly on grub while booting (see the "Temporarily Add a Kernel Boot Parameter for Testing" section in https://wiki.ubuntu.com/Kernel/KernelBootParameters). Please let me know if this workaround works for you. -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in “linux” package in Ubuntu: Confirmed Bug description: Luis Henriques is looking into this ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: FUJITSU SIEMENS AMILO Pro Edition V3505 PccardctlIdent: Socket 0: no product info available PccardctlStatus: Socket 0: no card ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash vt.handoff=7 PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon. RelatedPackageVersions: kerneloops-daemon 0.12+git20090217-1ubuntu18 RfKill: 0: phy0: Wireless LAN Soft blocked: no Hard blocked: no SourcePackage: linux Title: BUG: unable to handle kernel paging request at c00fdd20 UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 10/24/2006 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: R01-A0V dmi.board.na...

Read more...

Download full text (3.7 KiB)

I have now added noexec=off permanently to the grub loader and restarted the system and all is working well, many thanks.
----- Original Message -----
From: Luis Henriques
Sent: 04/12/12 02:33 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 A workaround you can try for the moment is to add 'noexec=off' (without the quotes) to your kernel. You can test it by editing your boot parameters directly on grub while booting (see the "Temporarily Add a Kernel Boot Parameter for Testing" section in https://wiki.ubuntu.com/Kernel/KernelBootParameters). Please let me know if this workaround works for you. -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in “linux” package in Ubuntu: Confirmed Bug description: Luis Henriques is looking into this ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: FUJITSU SIEMENS AMILO Pro Edition V3505 PccardctlIdent: Socket 0: no product info available PccardctlStatus: Socket 0: no card ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash vt.handoff=7 PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon. RelatedPackageVersions: kerneloops-daemon 0.12+git20090217-1ubuntu18 RfKill: 0: phy0: Wireless LAN Soft blocked: no Hard blocked: no SourcePackage: linux Title: BUG: unable to handle kernel paging request at c00fdd20 UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 10/24/2006 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: R01-A0V dmi.board.name: AMILO Pro Edition V3505 dmi.board.vendor: FUJITSU SIEMENS dmi.board.version: N...

Read more...

Luis Henriques (henrix) on 2012-04-12
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Luis Henriques (henrix) wrote :

Great. So, I have built a test kernel with modifications to the fsam7400 driver. Basically, it adds code to set the BIOS pages as executable, which is exactly the problem you are hitting: the driver tries to execute code on pages marked as non-executable.

If you would like test this kernel, you can obtain it here:

  http://people.canonical.com/~henrix/lp979253/

Just download the packages and install them manually. Then, before booting the new kernel make sure you're remove the kernel parameters you added into your grub configuration.

After booting into the new kernel, please report back telling me wether it solved the issue. Also, please send me the output of the following commands:

  uname -a
  cat /proc/cmdline

Thanks.

Luis Henriques (henrix) wrote :

Something I forgot to ask: you referred this problem started when you upgraded to Precise. What were you running before? Do you remember the kernel version? Was it a PAE kernel?

Download full text (4.1 KiB)

I went to your link and downloaded them individually, each time an error message told me that the kernels are older than the one already installed. Sorry, I don't know what else to do.

----- Original Message -----
From: Luis Henriques
Sent: 04/12/12 05:13 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 Great. So, I have built a test kernel with modifications to the fsam7400 driver. Basically, it adds code to set the BIOS pages as executable, which is exactly the problem you are hitting: the driver tries to execute code on pages marked as non-executable. If you would like test this kernel, you can obtain it here: http://people.canonical.com/~henrix/lp979253/ Just download the packages and install them manually. Then, before booting the new kernel make sure you're remove the kernel parameters you added into your grub configuration. After booting into the new kernel, please report back telling me wether it solved the issue. Also, please send me the output of the following commands: uname -a cat /proc/cmdline Thanks. -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in “linux” package in Ubuntu: Triaged Bug description: Luis Henriques is looking into this ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: FUJITSU SIEMENS AMILO Pro Edition V3505 PccardctlIdent: Socket 0: no product info available PccardctlStatus: Socket 0: no card ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash vt.handoff=7 PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon. RelatedPackageVersions: kerneloops-daemon...

Read more...

Download full text (3.5 KiB)

I only know that my upgrade was from Ubuntu 11.04 Natty Narwhal, downloaded in May 2011 from the main Ubuntu web site. I hope that helps.

----- Original Message -----
From: Luis Henriques
Sent: 04/12/12 05:39 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 Something I forgot to ask: you referred this problem started when you upgraded to Precise. What were you running before? Do you remember the kernel version? Was it a PAE kernel? -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in “linux” package in Ubuntu: Triaged Bug description: Luis Henriques is looking into this ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: FUJITSU SIEMENS AMILO Pro Edition V3505 PccardctlIdent: Socket 0: no product info available PccardctlStatus: Socket 0: no card ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash vt.handoff=7 PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon. RelatedPackageVersions: kerneloops-daemon 0.12+git20090217-1ubuntu18 RfKill: 0: phy0: Wireless LAN Soft blocked: no Hard blocked: no SourcePackage: linux Title: BUG: unable to handle kernel paging request at c00fdd20 UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 10/24/2006 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: R01-A0V dmi.board.name: AMILO Pro Edition V3505 dmi.board.vendor: FUJITSU SIEMENS dmi.board.version: Not Applicable dmi.chassis.asset.tag: 430A31006E2211DB8D62CAC89736B55E dmi.chassis.type: 10 dmi.chassis.vendor: FUJITSU SIEMENS dmi.chassis.version: A2040 dmi.modalias:...

Read more...

Download full text (4.3 KiB)

(uname-a) Linux me-AMILO-Pro-Edition-V3505 3.2.0-23-generic-pae #36-Ubuntu SMP Tue Apr 10 22:19:09 UTC 2012 i686 i686 i386 GNU/Linux
 me@me-AMILO-Pro-Edition-V3505:~$

 (cat /proc/cmdline) BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash noexec=off vt.handoff=7
 me@me-AMILO-Pro-Edition-V3505:~$

----- Original Message -----
From: Luis Henriques
Sent: 04/12/12 05:13 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 Great. So, I have built a test kernel with modifications to the fsam7400 driver. Basically, it adds code to set the BIOS pages as executable, which is exactly the problem you are hitting: the driver tries to execute code on pages marked as non-executable. If you would like test this kernel, you can obtain it here: http://people.canonical.com/~henrix/lp979253/ Just download the packages and install them manually. Then, before booting the new kernel make sure you're remove the kernel parameters you added into your grub configuration. After booting into the new kernel, please report back telling me wether it solved the issue. Also, please send me the output of the following commands: uname -a cat /proc/cmdline Thanks. -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in “linux” package in Ubuntu: Triaged Bug description: Luis Henriques is looking into this ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: FUJITSU SIEMENS AMILO Pro Edition V3505 PccardctlIdent: Socket 0: no product info available PccardctlStatus: Socket 0: no card ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash vt.handoff=7 Pu...

Read more...

Luis Henriques (henrix) wrote :

I have built another test kernel that I would like to ask you to spend some time for testing it. You shouldn't have any issues installing this one. This time, the kernel contains a new driver for the rfkill: amilo-rfkill. This is a new driver available on Linux kernel mainline, but not yet backported into Ubuntu.

You can find the new test kernel here:

  http://people.canonical.com/~henrix/amilo-rfkill/

Just download the packages and install them manually. Then, before booting into the new kernel make sure you remove the kernel parameters you added into your grub configuration (the "nonexec=off").

After booting into the new kernel, make sure you don't have the fsam7400 module loaded (i.e., don't modprobe fsam7400). You can confirm the module is not loaded by running:

  lsmod | grep fsam7400

This command shall not return any output.

Finally, just load the amilo-rfkill module:

  sudo modprobe amilo-rfkill

Please report back telling me if this new driver is working for you. Also, please send me the output of the following commands:

  uname -a
  cat /proc/cmdline

Thanks.

Download full text (5.0 KiB)

I've downloaded and installed the packages, but I can't remove the original 'generic pae' because the Ubuntu software center is stuck in a loop of being unable to load something (an icon of a box of things with the name 'searching'), and then it is unable to cancel- even after restarting, clearing history, logs etc.

 Other info:

 -AMILO-Pro-Edition-V3505:~$ uname -a
 Linux me-AMILO-Pro-Edition-V3505 3.2.0-23-generic-pae #37~amilorfkill SMP Fri Apr 13 11:41:01 UTC 2012 i686 i686 i386 GNU/Linux
 me@me-AMILO-Pro-Edition-V3505:~$

 AMILO-Pro-Edition-V3505:~$ cat /proc/cmdline
 BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash vt.handoff=7
 me@me-AMILO-Pro-Edition-V3505:~$

----- Original Message -----
From: Luis Henriques
Sent: 04/13/12 01:37 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 I have built another test kernel that I would like to ask you to spend some time for testing it. You shouldn't have any issues installing this one. This time, the kernel contains a new driver for the rfkill: amilo- rfkill. This is a new driver available on Linux kernel mainline, but not yet backported into Ubuntu. You can find the new test kernel here: http://people.canonical.com/~henrix/amilo-rfkill/ Just download the packages and install them manually. Then, before booting into the new kernel make sure you remove the kernel parameters you added into your grub configuration (the "nonexec=off"). After booting into the new kernel, make sure you don't have the fsam7400 module loaded (i.e., don't modprobe fsam7400). You can confirm the module is not loaded by running: lsmod | grep fsam7400 This command shall not return any output. Finally, just load the amilo-rfkill module: sudo modprobe amilo-rfkill Please report back telling me if this new driver is working for you. Also, please send me the output of the following commands: uname -a cat /proc/cmdline Thanks. -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in “linux” package in Ubuntu: Triaged Bug description: Luis Henriques is looking into this ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7...

Read more...

Luis Henriques (henrix) wrote :

Right, so you managed to boot into your new kernel. Note that you do not need to uninstall the old one -- you can have several kernels installed and select the one you want to boot on the grub menu.

What I would like to know at this point is whether you were able to use the amilo-rfkill module (instead of the old fsam7400 module). Were you able to use it?

Download full text (3.8 KiB)

No;

 me@me-AMILO-Pro-Edition-V3505:~$ sudo modprobe amilo-rfkill
 [sudo] password for me:
 FATAL: Error inserting amilo_rfkill (/lib/modules/3.2.0-23-generic-pae/kernel/drivers/platform/x86/amilo-rfkill.ko): No such device
 me@me-AMILO-Pro-Edition-V3505:~$

----- Original Message -----
From: Luis Henriques
Sent: 04/15/12 05:43 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 Right, so you managed to boot into your new kernel. Note that you do not need to uninstall the old one -- you can have several kernels installed and select the one you want to boot on the grub menu. What I would like to know at this point is whether you were able to use the amilo-rfkill module (instead of the old fsam7400 module). Were you able to use it? -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in “linux” package in Ubuntu: Triaged Bug description: Luis Henriques is looking into this ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: FUJITSU SIEMENS AMILO Pro Edition V3505 PccardctlIdent: Socket 0: no product info available PccardctlStatus: Socket 0: no card ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash vt.handoff=7 PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon. RelatedPackageVersions: kerneloops-daemon 0.12+git20090217-1ubuntu18 RfKill: 0: phy0: Wireless LAN Soft blocked: no Hard blocked: no SourcePackage: linux Title: BUG: unable to handle kernel paging request at c00fdd20 UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 10/24/2006 dmi.bios.vendor: Phoenix Tech...

Read more...

Luis Henriques (henrix) on 2012-04-16
description: updated
Luis Henriques (henrix) wrote :

Thank you for your time testing. Unfortunately, it looks like the new driver (amilo-rfkill) does not support your platform.

A task has been added to this bug so that a release note will help people using the fsam7400 driver to use the workaround.

There's one other thing you may want to try. I just learn that there is another device driver on the kernel that actually should support your platform. Instead of loading the fsam7400 module you can try: "sudo modprobe wistron_btns". Again, before you try this, please make sure you boot the kernel *without* the "noexec" parameter.

Download full text (4.9 KiB)

No, this did not work. Now I have the additional problem of not being able to install/ update or remove any packages.
 I have backed up my files, and now plan to re-install Ubuntu from scratch. Is there now available a version with the latest drivers already included?

----- Original Message -----
From: Luis Henriques
Sent: 04/16/12 06:57 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 Thank you for your time testing. Unfortunately, it looks like the new driver (amilo-rfkill) does not support your platform. A task has been added to this bug so that a release note will help people using the fsam7400 driver to use the workaround. There's one other thing you may want to try. I just learn that there is another device driver on the kernel that actually should support your platform. Instead of loading the fsam7400 module you can try: "sudo modprobe wistron_btns". Again, before you try this, please make sure you boot the kernel *without* the "noexec" parameter. -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in Release Notes for Ubuntu: New Status in “linux” package in Ubuntu: Triaged Bug description: Original bug report: I used to be able to turn on my Intel wireless adaptor by typing sudo modprobe fsam7400 radio=1 into a terminal, but since upgrading my operating system to Ubuntu 12.04 this no longer works. If you could send me a new code, preferably one that could turn wireless on permanantly, I would be very grateful. Release Notes: The fsam7400 driver directly invokes BIOS code to turn on/off the RF switch in this platform. However, the memory pages where this BIOS code is mapped is marked as non-executable and this is what causes the issue. As a temporary workaround, it is possible to boot the kernel with 'noexec=off' parameters. Details on how to modify kernel parameters can be obtained in section "Temporarily Add a Kernel Boot Parameter for Testing" in https://wiki.ubuntu.com/Kernel/KernelBootParameters. ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: I...

Read more...

Luis Henriques (henrix) wrote :

Can you provide more details on this new problem? This seems to be unrelated with your initial problem. What exactly is the problem?

Download full text (4.3 KiB)

I can't update anything, or delete anything- update manager and Ubuntu software centre are not fuctioning- I'm starting over!

----- Original Message -----
From: Luis Henriques
Sent: 04/16/12 07:57 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 Can you provide more details on this new problem? This seems to be unrelated with your initial problem. What exactly is the problem? -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in Release Notes for Ubuntu: New Status in “linux” package in Ubuntu: Triaged Bug description: Original bug report: I used to be able to turn on my Intel wireless adaptor by typing sudo modprobe fsam7400 radio=1 into a terminal, but since upgrading my operating system to Ubuntu 12.04 this no longer works. If you could send me a new code, preferably one that could turn wireless on permanantly, I would be very grateful. Release Notes: The fsam7400 driver directly invokes BIOS code to turn on/off the RF switch in this platform. However, the memory pages where this BIOS code is mapped is marked as non-executable and this is what causes the issue. As a temporary workaround, it is possible to boot the kernel with 'noexec=off' parameters. Details on how to modify kernel parameters can be obtained in section "Temporarily Add a Kernel Boot Parameter for Testing" in https://wiki.ubuntu.com/Kernel/KernelBootParameters. ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: FUJITSU SIEMENS AMILO Pro Edition V3505 PccardctlIdent: Socket 0: no product info available PccardctlStatus: Socket 0: no card ProcFB: 0 inteldrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=20a2caa8-eaaa-4f89-a7e5-d8c08d9e3c13 ro quiet splash vt.han...

Read more...

Luis Henriques (henrix) wrote :

Have you tried using the command line instead:
 $ apt-get update
Then just do a full upgrade with:
  $ apt-get dist-upgrade

Luis Henriques (henrix) wrote :

By the way, when you say it didn't work on comment #15, you have the same problem as you had initially with the fsam7400 or is it something different?

Download full text (4.4 KiB)

The problems were increasing, the whole sytem became unstable. I have now re-installed the operating system and updated it. So now I can, once again concentrate on activating the wireless functionality. I'll re-try your earlier suggestions and report back.

----- Original Message -----
From: Luis Henriques
Sent: 04/16/12 08:35 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 By the way, when you say it didn't work on comment #15, you have the same problem as you had initially with the fsam7400 or is it something different? -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in Release Notes for Ubuntu: New Status in “linux” package in Ubuntu: Triaged Bug description: Original bug report: I used to be able to turn on my Intel wireless adaptor by typing sudo modprobe fsam7400 radio=1 into a terminal, but since upgrading my operating system to Ubuntu 12.04 this no longer works. If you could send me a new code, preferably one that could turn wireless on permanantly, I would be very grateful. Release Notes: The fsam7400 driver directly invokes BIOS code to turn on/off the RF switch in this platform. However, the memory pages where this BIOS code is mapped is marked as non-executable and this is what causes the issue. As a temporary workaround, it is possible to boot the kernel with 'noexec=off' parameters. Details on how to modify kernel parameters can be obtained in section "Temporarily Add a Kernel Boot Parameter for Testing" in https://wiki.ubuntu.com/Kernel/KernelBootParameters. ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: FUJITSU SIEMENS AMILO Pro Edition V3505 PccardctlIdent: Socket 0: no product info available PccardctlStatus: Socket 0: no card ProcFB:...

Read more...

Download full text (4.8 KiB)

Here are the results after re-installing Ubuntu and the headers;

 me@me-AMILO-Pro-Edition-V3505:~$ uname -a
 Linux me-AMILO-Pro-Edition-V3505 3.2.0-23-generic-pae #37~amilorfkill SMP Fri Apr 13 11:41:01 UTC 2012 i686 i686 i386 GNU/Linux
 me@me-AMILO-Pro-Edition-V3505:~$ cat /proc/cmdline
 BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=3d0fd9c4-d6df-4c10-bc7d-02f3948d01ba ro quiet splash vt.handoff=7
 e@me-AMILO-Pro-Edition-V3505:~$ sudo modprobe amilo-rfkill
 [sudo] password for me:
 FATAL: Error inserting amilo_rfkill (/lib/modules/3.2.0-23-generic-pae/kernel/drivers/platform/x86/amilo-rfkill.ko): No such device

----- Original Message -----
From: Luis Henriques
Sent: 04/16/12 08:35 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 By the way, when you say it didn't work on comment #15, you have the same problem as you had initially with the fsam7400 or is it something different? -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in Release Notes for Ubuntu: New Status in “linux” package in Ubuntu: Triaged Bug description: Original bug report: I used to be able to turn on my Intel wireless adaptor by typing sudo modprobe fsam7400 radio=1 into a terminal, but since upgrading my operating system to Ubuntu 12.04 this no longer works. If you could send me a new code, preferably one that could turn wireless on permanantly, I would be very grateful. Release Notes: The fsam7400 driver directly invokes BIOS code to turn on/off the RF switch in this platform. However, the memory pages where this BIOS code is mapped is marked as non-executable and this is what causes the issue. As a temporary workaround, it is possible to boot the kernel with 'noexec=off' parameters. Details on how to modify kernel parameters can be obtained in section "Temporarily Add a Kernel Boot Parameter for Testing" in https://wiki.ubuntu.com/Kernel/KernelBootParameters. ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1...

Read more...

Luis Henriques (henrix) wrote :

Ok, I wouldn't expect any changes after reinstalling. I guess the solution for now is for you to use the "noexec=off" workaround, until a more definitive solution is in place.

By the way, you haven't provided any details about what was proposed on comment #14. I do not expect it to solve the problem, but it would be interesting to see if you get exactly the same failure.

Luis Henriques (henrix) wrote :

Hi, you have never reported back about my last suggestion, i.e., to try the wistron_btns driver as described in comment #14. Have you had some time to try that?

Download full text (4.8 KiB)

Sorry for the delay, I have been away from the computer for the last couple of days.

 Yes, I have tried the wistron driver and my computer went into the worst crash yet, completely unresposive with the screen filled up with hundreds of copies of icons, terminals etc. I repeated this with the same effect.

 The 'noexec=off' workaround also now has no effect whatever. The 'rfkill' driver does not work, and nor does 'fsam7400'.

 On startup sometimes it says that wireless is disabled by a hardware switch, and sometimes it says that the device is not ready. In short, I am still tethered to the ethernet cable!

----- Original Message -----
From: Luis Henriques
Sent: 04/20/12 05:40 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 Hi, you have never reported back about my last suggestion, i.e., to try the wistron_btns driver as described in comment #14. Have you had some time to try that? -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in Release Notes for Ubuntu: New Status in “linux” package in Ubuntu: Triaged Bug description: Original bug report: I used to be able to turn on my Intel wireless adaptor by typing sudo modprobe fsam7400 radio=1 into a terminal, but since upgrading my operating system to Ubuntu 12.04 this no longer works. If you could send me a new code, preferably one that could turn wireless on permanantly, I would be very grateful. Release Notes: The fsam7400 driver directly invokes BIOS code to turn on/off the RF switch in this platform. However, the memory pages where this BIOS code is mapped is marked as non-executable and this is what causes the issue. As a temporary workaround, it is possible to boot the kernel with 'noexec=off' parameters. Details on how to modify kernel parameters can be obtained in section "Temporarily Add a Kernel Boot Parameter for Testing" in https://wiki.ubuntu.com/Kernel/KernelBootParameters. ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001...

Read more...

Luis Henriques (henrix) wrote :

From your comments #3 and #4, you claimed that the workaround 'noexec=off' was working. In the meantime you have re-installed your system and right now it doesn't work again, right? Did it ever worked after the system re-installation?

Also, I would like to ask you some more information. Could you attach some kernel logs in couple of different scenarios:

1) Fresh reboot, without 'noexec=off' on grub, run 'sudo modprobe fsam7400 radio=1 debug=1' and collect kernel log
2) Fresh reboot, with 'noexec=off' on grub, run 'sudo modprobe fsam7400 radio=1 debug=1' and collect kernel log
3) Fresh reboot, without 'noexec=off' on grub, run 'sudo modprobe wistron_btns' and collect kernel log
4) Fresh reboot, with 'noexec=off' on grub, run 'sudo modprobe wistron_btns' and collect kernel log

To collect the kernel logs, you can just run "dmesg > dmesg.log" on a console.

I know this is asking a lot (4 reboots!), but it would be great if you could execute all the steps, attach the 4 logs and also report which ones (if any!) allowed you to successfully use your wireless card.

Andy Whitcroft (apw) on 2012-04-26
Changed in ubuntu-release-notes:
status: New → In Progress
Andy Whitcroft (apw) on 2012-04-26
description: updated
Changed in ubuntu-release-notes:
status: In Progress → Fix Released
Download full text (6.0 KiB)

The 'noexec=off' command only worked before I downloaded and installed the amilorfkill modules- then something went very wrong and the system was totally unstable. I then re- installed Ubuntu from scratch, reformatting the HD. Once again, as advised, downloaded and installed the amilorfkill modules. This was when noexec=off had no effect.

 Since that time, fsam7400 and wistron_btns both crash the computer into a black screen full of text, mostly error messages. No keystrokes have any effect apart from an error beeping sound. I had no choice but to restart the system by turning it off with the on/ off button. (I did try waiting, but nothing happened).

 I tried to collect logs using dmesg > dmesg.log (first just like that, and with SUDO before it), it asked for my password, then returned no logs or any other text at all. I suspect that the amilorfkill modules (pae?) are not suitable for this machine.
----- Original Message -----
From: Luis Henriques
Sent: 04/25/12 06:09 PM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 >From your comments #3 and #4, you claimed that the workaround 'noexec=off' was working. In the meantime you have re-installed your system and right now it doesn't work again, right? Did it ever worked after the system re-installation? Also, I would like to ask you some more information. Could you attach some kernel logs in couple of different scenarios: 1) Fresh reboot, without 'noexec=off' on grub, run 'sudo modprobe fsam7400 radio=1 debug=1' and collect kernel log 2) Fresh reboot, with 'noexec=off' on grub, run 'sudo modprobe fsam7400 radio=1 debug=1' and collect kernel log 3) Fresh reboot, without 'noexec=off' on grub, run 'sudo modprobe wistron_btns' and collect kernel log 4) Fresh reboot, with 'noexec=off' on grub, run 'sudo modprobe wistron_btns' and collect kernel log To collect the kernel logs, you can just run "dmesg > dmesg.log" on a console. I know this is asking a lot (4 reboots!), but it would be great if you could execute all the steps, attach the 4 logs and also report which ones (if any!) allowed you to successfully use your wireless card. -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in Release Notes for Ubuntu: New Status in “linux” package in Ubuntu: Triaged Bug description: Original bug report: I used to be able to turn on my Intel wireless adaptor by typing sudo modprobe fsam7400 radio=1 into a terminal, but since upgrading my operating system to Ubuntu 12.04 this no longer works. If you could send me a new code, preferably one that could turn wireless on permanantly, I would be very grateful. Release Notes: The fsam7400 driver directly invokes BIOS code to turn on/off the RF switch in this platform. However, the memory pages where this BIOS code is mapped is marked as non-executable and this is what causes the issue. As a temporary workaround, it is possible to boot the kernel with 'noexec=off' parameters. Details on how to modify kernel parameters can be obtained in section "Temporarily ...

Read more...

Download full text (4.5 KiB)

I've tried that! I am being helped by Luis Henriques with this problem. It seems that new grub files (amilorfkill) have stopped noexec=off from having any effect.

----- Original Message -----
From: Andy Whitcroft
Sent: 04/26/12 11:47 AM
To: <email address hidden>
Subject: [Bug 979253] Re: BUG: unable to handle kernel paging request at c00fdd20

 ** Changed in: ubuntu-release-notes Status: New => In Progress -- You received this bug notification because you are subscribed to the bug report. https://bugs.launchpad.net/bugs/979253 Title: BUG: unable to handle kernel paging request at c00fdd20 Status in Release Notes for Ubuntu: In Progress Status in “linux” package in Ubuntu: Triaged Bug description: === RELEASE NOTES === Fujitsu Siemens Amilo M 7400 and Maxdata 7000DX wireless RF kill handling triggers a kernel panic preventing wireless from operating correctly. This may be worked around by editing your kernel command line and adding "noexec=off". (Bug:979253) === Original bug report: I used to be able to turn on my Intel wireless adaptor by typing sudo modprobe fsam7400 radio=1 into a terminal, but since upgrading my operating system to Ubuntu 12.04 this no longer works. If you could send me a new code, preferably one that could turn wireless on permanantly, I would be very grateful. Release Notes: The fsam7400 driver directly invokes BIOS code to turn on/off the RF switch in this platform. However, the memory pages where this BIOS code is mapped is marked as non-executable and this is what causes the issue. WORK AROUND: As a temporary workaround, it is possible to boot the kernel with 'noexec=off' parameters. Details on how to modify kernel parameters can be obtained in section "Temporarily Add a Kernel Boot Parameter for Testing" in https://wiki.ubuntu.com/Kernel/KernelBootParameters. ProblemType: KernelOops DistroRelease: Ubuntu 12.04 Package: linux-image-3.2.0-23-generic-pae 3.2.0-23.36 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic-pae 3.2.14 Uname: Linux 3.2.0-23-generic-pae i686 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. Annotation: Your system might become unstable now and might need to be restarted. ApportVersion: 2.0.1-0ubuntu1 Architecture: i386 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: Slmodemd 856 F.... slmodemd me 1415 F.... pulseaudio /dev/snd/pcmC0D6c: Slmodemd 856 F...m slmodemd /dev/snd/pcmC0D6p: Slmodemd 856 F...m slmodemd Card0.Amixer.info: Card hw:0 'Intel'/'HDA Intel at 0xd4540000 irq 45' Mixer name : 'Realtek ALC861' Components : 'HDA:10ec0861,17c01205,00100300 HDA:10573055,10573055,00100700' Controls : 9 Simple ctrls : 6 Date: Wed Apr 11 20:14:47 2012 Failure: oops HibernationDevice: RESUME=UUID=21a87e7b-4515-427a-b886-7e58b79d3b71 InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328) Lsusb: Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: FUJITSU SIEMENS AMILO Pro...

Read more...

Luis Henriques (henrix) wrote :

When you said you had reinstalled your system I assumed you were running the default kernel, but it looks like you re-installed again the test kernel that included the amilo-rfkill driver. You are right, this driver does not support your system.

So, when booting your system, could you please go to grub menu and select a different kernel (there's an submenu in grub that allows you to pick older kernels). Please select a kernel that has been released and not a test kernel you have installed manually.

With respect to collecting the logs: when you run 'dmesg > dmesg.txt' you are actually creating a file 'dmesg.txt' that will contain the kernel logs. If you're able to run the 4 test scenarios described in my last comment, you should have 4 different log files (make sure you give them different names, such as "dmesg-fsam-noexec-on.txt", "dmesg-fsam-noexec-off.txt", etc).

And by the way, could you please not include the original message when replying to a comment? This makes your comment messy when accessing to it through the web interface. Or you can also use the web interface to post your replies.

Changed in linux (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
tags: added: bios-outdated-b0g needs-upstream-testing regression-potential

major misunderstanding, as per http://support.ts.fujitsu.com/Download/Index.asp an update is available for your BIOS (B0G). If you update to this following https://help.ubuntu.com/community/BiosUpdate , does it change anything?

If not, could you please both specify what happened, and provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful.

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers